#ifndef TITAN_PCBCAM_CONFIG_H
#define TITAN_PCBCAM_CONFIG_H
#include "../titanpcbcamglobal.h"
#include <QSharedDataPointer>


class PcbCamConfigData;
class TITAN_PCBCAM_EXPORT PcbCamConfig
{
public:
    PcbCamConfig();
    PcbCamConfig(const PcbCamConfig &);
    PcbCamConfig &operator=(const PcbCamConfig &);
    ~PcbCamConfig();

    QString gzipCmd() const;
    void setGzipCmd(const QString &iCmd);

    QString tarCmd() const;
    void setTarCmd(const QString &iCmd);


private:
    QSharedDataPointer<PcbCamConfigData> d;
};


#endif // TITAN_PCBCAM_CONFIG_H
